Cyberduck Mountain Duck CLI

#7947 closed defect (fixed)

Null pointer loading profile

Reported by: richpav Owned by: dkocher
Priority: normal Milestone: 4.4.5
Component: core Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

Version 4.4.3 works find, but 4.4.4 won't launch. This is the error:

5/11/14 14:12:12.254 Cyberduck[65333]: [main] ERROR ch.cyberduck.ui.cocoa.MainApplication - Thread main has thrown uncaught exception:null

java.lang.NullPointerException
	at ch.cyberduck.core.Profile.getIdentifier(Profile.java:89)
	at ch.cyberduck.core.Profile.hashCode(Profile.java:329)
	at java.util.HashMap.hash(HashMap.java:366)
	at java.util.HashMap.removeEntryForKey(HashMap.java:673)
	at java.util.HashMap.remove(HashMap.java:660)
	at java.util.HashSet.remove(HashSet.java:233)
	at ch.cyberduck.core.ProtocolFactory.register(ProtocolFactory.java:132)
	at ch.cyberduck.core.ProtocolFactory.register(ProtocolFactory.java:122)
	at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:142)

Attachments (1)

Dropbox.cyberduckprofile (234 bytes) - added by richpav on May 13, 2014 at 8:06:41 PM.
It's not much to look at.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on May 11, 2014 at 6:44:34 PM by dkocher

Please attach the installed profiles in ~/Library/Application Support/Cyberduck/Profiles.

comment:2 Changed on May 11, 2014 at 6:45:26 PM by dkocher

  • Milestone set to 4.4.5
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on May 13, 2014 at 7:59:07 PM by dkocher

  • Summary changed from Can't open version 4.4.4 to Null pointer loading profile

Changed on May 13, 2014 at 8:06:41 PM by richpav

It's not much to look at.

comment:5 Changed on May 16, 2014 at 8:49:59 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software